From: Alexander Sorg <[email-masked]>
Date: Mon, 19 Feb 1996 15:33:44 -0500 (EST)

> Andy> But this other subject still riddles me:
> 
> >> >> I am using fvwm2.0.39 on an SGI Indigo (IRIX 5.3).
> >> >>
> >> >> In my .fvwm2rc I got those lines:  (in this order)
> >> >> Style "*"           SmartPlacement
> >> >> Style "winterm"     ActivePlacement
> >> >> Style "*Test*"      ActivePlacement
> >> >> Style "*Demo*"      ActivePlacement
> >> >>
> >> >> I expected that all windows except the last three types would
> >> >> be placed "smart".  But in fact, *all* windows are placed "smart".
> >> >> Is there something I didn't do right or is this a bug?
> 
> Kai> Isn't it that the first matching line counts?  Have you tried
> Kai> reversing the order of the lines?
> >>
> >> Order shouldn't matter.  The more specific ones should have
> >> precedence.
> >>
> 
> Andy> So, why don't they, Chuck?
> 
> I misspoke slightly there...  I believe it's actually more of a
> combination of more specific and order.  But the above order is
> correct. "*" should always come first, otherwise it'll augment or
> override everything else.
> 
> As for why those other ones weren't being placed Actively, I don't
> know.  I'll have to investigate that some.
> 

if i get the manpage right there are two different switches:

SmartPlacement/DumbPlacement
and
RandomPlacement/ActivePlacement

therefore all you windows are placed "smart" which overrides the active 
placement
for the last two. i'm not sure but try:

Style "*Test*"      ActivePlacement,DumbPlacement
Style "*Demo*"      ActivePlacement,DumbPlacement

which should turn off the SmartPlacement explicitly.

       alex     

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].